Transfer
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Transfer action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Upload files to 192.0.2.1 by FTP",
"type": "TRANSFER",
"trigger_time": "ON_EVERY_EXECUTION",
"input_type": "SCM_REPOSITORY",
"local_path": "/",
"remote_path": "",
"compress": true,
"targets": [
{
"identifier": "ftp_target_1",
"type": "FTP",
"secure": false,
"host": "192.0.2.1",
"port": "21",
"auth": {
"username": "user",
"password": "$MyPassword"
},
"path": "/var/www"
}
]
}'STATUS200 OK